libzypp 17.37.10

credentialmanager.cc File Reference
`#include "credentialmanager.h"`
`#include <iostream>`
`#include <fstream>`
`#include <utility>`
`#include <zypp-media/MediaConfig>`
`#include <zypp-core/base/Function.h>`
`#include <zypp-core/base/Logger.h>`
`#include <zypp-core/base/Easy.h>`
`#include <zypp-core/fs/PathInfo.h>`
`#include <zypp-media/auth/CredentialFileReader>`
`#include <zypp-media/MediaException>`
`#include <boost/interprocess/sync/file_lock.hpp>`
`#include <boost/interprocess/sync/scoped_lock.hpp>`
`#include <boost/interprocess/sync/sharable_lock.hpp>`

Go to the source code of this file.

## Classes
struct | zypp::media::CredentialManager::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Macros
#define | USER_CREDENTIALS_FILE ".zypp/credentials.cat"

## Functions
static int | zypp::media::save_creds_in_file (CredentialManager::CredentialSet &creds, const Pathname &file, const mode_t mode)

## Macro Definition Documentation

## ◆ USER_CREDENTIALS_FILE

#define USER_CREDENTIALS_FILE ".zypp/credentials.cat"

Definition at line 37 of file credentialmanager.cc.